#ifndef FAST_H
#define FAST_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
	int x, y;
}
FastCorner;

FastCorner* fast_nonmax(const unsigned char* im, int xsize, int ysize, FastCorner* corners, int numcorners, int barrier, int* numnx);
FastCorner* fast_corner_detect_9(const unsigned char* im, int xsize, int ysize, int barrier, int* numcorners);
FastCorner* fast_corner_detect_10(const unsigned char* im, int xsize, int ysize, int barrier, int* numcorners);
FastCorner* fast_corner_detect_11(const unsigned char* im, int xsize, int ysize, int barrier, int* numcorners);
FastCorner* fast_corner_detect_12(const unsigned char* im, int xsize, int ysize, int barrier, int* numcorners);

#ifdef __cplusplus
}
#endif

#endif
